> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/5-dokumenty-i-zaloczniki/generator-dokumentow-documentgenerator/dokument-generowany-ze-skryptu.md).

# Dokument generowany ze skryptu

{% hint style="info" %}
Dostępność funkcjonalności zależy od licencji i może nie być dostępna we wszystkich wdrożeniach.
{% endhint %}

Dokument może być generowany za pomocą skryptu, który projektant wniosku podaje w konfiguracji generatora dokumentu. W takim przypadku należy użyć **typu generatora** 'documentFromScript'.

Przykład konfiguracji (fragment XML):

{% code title="Przykład źródła wniosku" %}

```xml
<data:DocumentGeneratorItems>
  <data:DocumentGeneratorItem 
      generatorName="documentFromScript" 
      fileName="Wniosek Dobry Start.pdf" 
      scriptName="adap_document-*"/>
</data:DocumentGeneratorItems>
```

{% endcode %}

Nowy typ generatora wyróżniają dwa kluczowe elementy:

* **generatorName** musi przyjąć wartość *documentFromScript*
* **scriptName** wskazuje na serwis skryptowy w formacie: NAZWA\_SERWISU\_SKRYPTOWEGO-NUMER\_WERSJI (np. adap\_document-\*).

Serwis skryptowy, który jest spięty z generatorem dokumentów, powinien zwrócić dwa pola:

* **output** - zawartość pliku zakodowana w formacie base64 (wymagane),
* **fileMimeType** - content-type pliku; parametr opcjonalny – jeśli nie zostanie zwrócony, generator przyjmie domyślną wartość '*application/pdf*'.

{% hint style="warning" %}
UWAGA! Serwis skryptowy nie obsługuje metod:

* getParameters()
* getFirstParameter()
* getInputParameters()

W celu np. pobrania wartości komponentów z wniosku można użyć metody getValue() → przykład w demo\_generowanieDokumentu
{% endhint %}

{% hint style="info" %}
Wnioski demo: demoScriptDocumentGenerator (skrypt: demo\_generowanieDokumentu) i demoDocumentGeneratorAndDocumentList (skrypt: demoDocumentGeneratorScript)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/5-dokumenty-i-zaloczniki/generator-dokumentow-documentgenerator/dokument-generowany-ze-skryptu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
